<template>
  <div class="container">
    <div class="row">
      <!-- Modal to choose the quantity -->
      <b-modal id="modal-xl" ref="modal-quantity" title="Choisissez la quantité" hide-footer>
        <div v-if="currentProduct" class="container">
          <div class="row">
            <div class="col-sm-6">
              <div class="input-group mb-3 text-center">
                <input readonly min="0" max="100" step="0.1" type="number"
                  class="form-control" v-model="currentProductQuantity" aria-describedby="basic-addon2">
                <div class="input-group-append">
                  <span class="input-group-text" id="basic-addon2">{{ currentProduct.unit }}</span>
                </div>
              </div>
            </div>
            <div class="col-sm-6 text-center">
              <button type="button" @click="upQuantity()" title="Augmenter la quantité"
                class="btn btn-primary c-button mr-2"><i class="fa fa-plus" aria-hidden="true"></i></button>
              <button type="button" @click="downQuantity()" title="Diminuer la quantité"
                class="btn btn-primary c-button c-button-delete"><i class="fa fa-minus" aria-hidden="true"></i></button>
            </div>
          </div>
          <div class="row mt-2 mb-2">
            <div class="col-sm-12 text-center">
              <h4>Prix: {{ parseFloat(currentProductQuantity * parseFloat(currentProduct.price)).toFixed(2) }} €</h4>
            </div>
          </div>
          <div class="row mt-2 mb-2">
            <div class="col-sm-12 text-center">
              <button type="button" @click="addProductToCart()" class="btn c-button c-button-clear"><strong>Ajouter au
                  panier</strong></button>
            </div>
          </div>
        </div>
      </b-modal>
      <div class="col-sm-12 mt-4">
        <!-- <h2 class="c-title">{{ getCategoryName }}</h2>
        <p>Retrouvez ici nos {{ getCategoryName.toLowerCase() }}. Cliquez sur 'ajouter' pour ajouter le produit à votre
          panier.
          Vous pourrez ensuite indiquer la quantité souhaitée.
        </p> -->
      </div>
    </div>
    <div v-if="!dataLoading" class="row">
      <div v-for="product in products" :key="product.id" class="col-md-3 col-sm-12 mt-4">
        <div class="card c-family-card" title="Cliquez pour + de détails">
          <div class="c-family-card-photo align-self-center">
            <img :src="product.photo" class="card-img-top" height="250" alt="...">
          </div>
          <div class="card-body c-card-body">
            <p class="card-text"><strong>{{ product.name }}</strong></p>
            <p class="card-text product-desc"><small>{{ product.desc }}</small></p>
            <p class="card-text">{{ product.cont }}</p>
            <p class="card-text c-card-price"><strong>{{ product.price }} € 
              <span v-if="product.unit === 'kg'">le kg</span>
              <span v-else>l'unité</span>
            </strong>
            </p>
            <p class="card-text c-card-more-detail" @click="addProduct(product)"><strong>+ Ajouter</strong></p>
          </div>
        </div>
      </div>
    </div>
    <div v-if="dataLoading" class="row">
      <div class="col-sm-12">
        <b-spinner label="Spinning"></b-spinner>
      </div>
    </div>
  </div>
</template>

<script src="./Categorie.js"></script>
<style lang="scss" scoped src="./Categorie.scoped.scss"></style>
<style lang="scss" src="./Categorie.scss"></style>